diff -r -c02 ircd-hybrid-6.2/include/client.h ircd-hybrid-6.2+jupebypass/include/client.h
*** ircd-hybrid-6.2/include/client.h	Fri Aug 10 10:02:28 2001
--- ircd-hybrid-6.2+jupebypass/include/client.h	Mon Oct  8 15:48:44 2001
***************
*** 354,357 ****
--- 354,358 ----
  
  /* oper priv flags */
+ #define FLAGS2_OPER_NOJUPE	0x0010	/* oper can bypass local jupes */
  #define FLAGS2_OPER_GLOBAL_KILL 0x0020  /* oper can global kill */
  #define FLAGS2_OPER_REMOTE      0x0040  /* oper can do squits/connects */
***************
*** 495,498 ****
--- 496,501 ----
  #define SetOperRemote(x)        ((x)->flags2 |= FLAGS2_OPER_REMOTE)
  #define IsOperRemote(x)         ((x)->flags2 & FLAGS2_OPER_REMOTE)
+ #define SetOperNoJupe(x)	((x)->flags2 |= FLAGS2_OPER_NOJUPE)
+ #define IsSetOperNoJupe(x)	((x)->flags2 & FLAGS2_OPER_NOJUPE) 
  #define SetOperUnkline(x)       ((x)->flags2 |= FLAGS2_OPER_UNKLINE)
  #define IsSetOperUnkline(x)     ((x)->flags2 & FLAGS2_OPER_UNKLINE)
diff -r -c02 ircd-hybrid-6.2/include/s_conf.h ircd-hybrid-6.2+jupebypass/include/s_conf.h
*** ircd-hybrid-6.2/include/s_conf.h	Sun Aug  5 19:04:18 2001
--- ircd-hybrid-6.2+jupebypass/include/s_conf.h	Mon Oct  8 16:11:21 2001
***************
*** 163,166 ****
--- 163,167 ----
  #define CONF_OPER_REHASH     64
  #define CONF_OPER_DIE       128
+ #define CONF_OPER_NOJUPE    256
  
  typedef struct
diff -r -c02 ircd-hybrid-6.2/src/channel.c ircd-hybrid-6.2+jupebypass/src/channel.c
*** ircd-hybrid-6.2/src/channel.c	Fri Aug 10 15:59:14 2001
--- ircd-hybrid-6.2+jupebypass/src/channel.c	Mon Oct  8 16:01:04 2001
***************
*** 1897,1908 ****
    int ban_or_exception;
  
  #ifdef JUPE_CHANNEL
    if(chptr->juped)
      {
!       sendto_ops_flags(FLAGS_SPY,
!              "User %s (%s@%s) is attempting to join locally juped channel %s",
!                      sptr->name,
!                      sptr->username, sptr->host,chptr->chname);
!       return (ERR_UNAVAILRESOURCE);
      }
  #endif
--- 1897,1912 ----
    int ban_or_exception;
  
+ 
  #ifdef JUPE_CHANNEL
    if(chptr->juped)
      {
!       if (!IsOper(sptr) || !IsSetOperNoJupe(sptr))
!       {
!         sendto_ops_flags(FLAGS_SPY,
!                "User %s (%s@%s) is attempting to join locally juped channel %s",
!                        sptr->name,
!                        sptr->username, sptr->host,chptr->chname);
!         return (ERR_UNAVAILRESOURCE);
!       }
      }
  #endif
diff -r -c02 ircd-hybrid-6.2/src/s_conf.c ircd-hybrid-6.2+jupebypass/src/s_conf.c
*** ircd-hybrid-6.2/src/s_conf.c	Sun Aug  5 20:40:52 2001
--- ircd-hybrid-6.2+jupebypass/src/s_conf.c	Mon Oct  8 16:20:33 2001
***************
*** 2987,2990 ****
--- 2987,2992 ----
        else if(*privs == 'o')                /* disallow global kill */
          int_privs &= ~CONF_OPER_GLOBAL_KILL;
+       else if(*privs == 'J')                /* allow oper to bypass local jupes */
+         int_privs |= CONF_OPER_NOJUPE;
        else if(*privs == 'U')                /* allow unkline */
          int_privs |= CONF_OPER_UNKLINE;
***************
*** 3084,3088 ****
    else
      *privs_ptr++ = 'r';
!   
    if(port & CONF_OPER_UNKLINE)
      {
--- 3086,3099 ----
    else
      *privs_ptr++ = 'r';
!  
!   if(port & CONF_OPER_NOJUPE)
!     {
!       if(cptr)
!         SetOperNoJupe(cptr);
!       *privs_ptr++ = 'J';
!     }
!   else
!     *privs_ptr++ = 'j';
!  
    if(port & CONF_OPER_UNKLINE)
      {
